## File Operations

File Operations

## Synopsis

    #include <libtracker-common/tracker-file-utils.h>

    gboolean            tracker_env_check_xdg_dirs          (void);
    void                tracker_file_close                  (FILE *file,
                                                             gboolean need_again_soon);
    gchar *             tracker_file_get_mime_type          (const gchar *uri);
    guint64             tracker_file_get_mtime              (const gchar *uri);
    void                tracker_file_get_path_and_name      (const gchar *uri,
                                                             gchar **path,
                                                             gchar **name);
    goffset             tracker_file_get_size               (const gchar *uri);
    FILE*               tracker_file_open                   (const gchar *uri,
                                                             const gchar *how,
                                                             gboolean sequential);
    gboolean            tracker_file_unlink                 (const gchar *uri);
    gchar *             tracker_path_evaluate_name          (const gchar *uri);
    void                tracker_path_hash_table_filter_duplicates
                                                            (GHashTable *roots);
    gboolean            tracker_path_is_in_path             (const gchar *path,
                                                             const gchar *in_path);
    GSList *            tracker_path_list_filter_duplicates (GSList *roots,
                                                             const gchar *basename_exception_prefix);
    void                tracker_path_remove                 (const gchar *uri);

## Description

## Details

### tracker_env_check_xdg_dirs ()

    gboolean            tracker_env_check_xdg_dirs          (void);

Returns : |

### tracker_file_close ()

    void                tracker_file_close                  (FILE *file,
                                                             gboolean need_again_soon);

`file` : |
`need_again_soon` : |

### tracker_file_get_mime_type ()

    gchar *             tracker_file_get_mime_type          (const gchar *uri);

`uri` : |
Returns : |

### tracker_file_get_mtime ()

    guint64             tracker_file_get_mtime              (const gchar *uri);

`uri` : |
Returns : |

### tracker_file_get_path_and_name ()

    void                tracker_file_get_path_and_name      (const gchar *uri,
                                                             gchar **path,
                                                             gchar **name);

`uri` : |
`path` : |
`name` : |

### tracker_file_get_size ()

    goffset             tracker_file_get_size               (const gchar *uri);

`uri` : |
Returns : |

### tracker_file_open ()

    FILE*               tracker_file_open                   (const gchar *uri,
                                                             const gchar *how,
                                                             gboolean sequential);

`uri` : |
`how` : |
`sequential` : |
Returns : |

### tracker_file_unlink ()

    gboolean            tracker_file_unlink                 (const gchar *uri);

`uri` : |
Returns : |

### tracker_path_evaluate_name ()

    gchar *             tracker_path_evaluate_name          (const gchar *uri);

`uri` : |
Returns : |

### tracker_path_hash_table_filter_duplicates ()

    void                tracker_path_hash_table_filter_duplicates
                                                            (GHashTable *roots);

`roots` : |

### tracker_path_is_in_path ()

    gboolean            tracker_path_is_in_path             (const gchar *path,
                                                             const gchar *in_path);

`path` : |
`in_path` : |
Returns : |

### tracker_path_list_filter_duplicates ()

    GSList *            tracker_path_list_filter_duplicates (GSList *roots,
                                                             const gchar *basename_exception_prefix);

`roots` : |
`basename_exception_prefix` : |
Returns : |

### tracker_path_remove ()

    void                tracker_path_remove                 (const gchar *uri);

`uri` : |